//Test defs across calls
class DefUse03 {
    int e = 2; //A 
    int f; //B
    static public void main(String[] args) {
		int x=0;//C
		DefUse03 c = new DefUse03();//D
		c.m();
		if(x > 0) {//C reaches 
			x = x+1; //E: C reaches
			c.f = x; //F: D,E reaches
		} else { 
			x = x+2;//G: C reaches
			c.f = c.e; //H: D,A reaches
		}
		x=x-1;//I: E,G reaches
    }
    public void m() {
    	this.e = 4; //J
    }
}